#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34 (C) COPYRIGHT International Business Machines Corp., 2011
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
pushd $binDir > /dev/null 2>&1
binDir=`pwd`
popd > /dev/null 2>&1

#binDir=$(dirname $(readlink -f $0))
if [ -f ${binDir}/setupCmdLine.sh ]; then
    . ${binDir}/setupCmdLine.sh
fi


##########################################################
# Setting JAVA_HOME env variable.
##########################################################
#Uncomment the following line and specify the path to the java directory.
# JAVA_HOME=

JAVA_PATH=${JAVA_HOME}
if [ -f ${JAVA_PATH}/java ]; then
    break
else
    JAVA_PATH=${JAVA_HOME}/bin
fi

if [ -f ${JAVA_PATH}/java ]; then
    break
else
    JAVA_PATH=${JAVA_HOME}/jre/bin
fi

if [ -f ${JAVA_PATH}/java ]; then
    break
else
    echo "Error: ${JAVA_PATH}/java does not exist.  JAVA_HOME is not set correctly."
    exit 1
fi

#
# Run java process
#
cd ${binDir}/../.

if [ -z "${OBJECTGRID_HOME}" ]; then {
    if [ -f ${binDir}/../lib/wxsloganalyzerStandalone.jar ]; then
       ${JAVA_PATH}/java -classpath lib/wxsloganalyzerStandalone.jar com.ibm.ws.objectgrid.healthcenter.log.replay.LogReplayer $@
    else
       ${JAVA_PATH}/java -classpath "$JAVA_TOOLS":"$WAS_CLASSPATH" $WAS_LOGGING $CONSOLE_ENCODING "-Dws.ext.dirs=$WAS_EXT_DIRS:$WAS_HOME/plugins" "-Dwas.install.root=$WAS_HOME" "-Duser.install.root=$USER_INSTALL_ROOT" "-Dobjectgrid.home=$WAS_HOME" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.objectgrid.healthcenter.log.replay.LogReplayer $@
    fi;
} else
    echo "XS stand alone"
    ${JAVA_PATH}/java -classpath "$JAVA_TOOLS":"$OBJECTGRID_HOME"/properties:"$OBJECTGRID_HOME"/lib/objectgrid.jar:"$OBJECTGRID_HOME"/lib/ogclient.jar:"$OBJECTGRID_HOME"/lib/wxsloganalyzer.jar "$JAVA_ENDORSED_DIRS" com.ibm.ws.objectgrid.healthcenter.log.replay.LogReplayer $@
fi;