#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2013
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

bindir=`dirname $0`
wlpdir=`cd $bindir/.. ; pwd`

export WLP_USER_DIR=$wlpdir/wxs/

# The uname function returns <OS/390> as the sysname value
# for OS/390 V1.2 and later.
platform=`uname`

# Get the arguments passed by the user
if [ $platform = "OS/390" ]
   then
     XSCMD_LINE_ARGS=$*
     export XSCMD_LINE_ARGS
#    set the LOG Directory to the eXtreme Scale Directory
     LOG_DIR=-Dcom.ibm.ws.logging.log.directory=$WLP_USER_DIR/logs
   else
     export XSCMD_LINE_ARGS="$*"
     LOG_DIR=-Dcom.ibm.ws.logging.log.directory=`pwd`
fi

CONSOLE_LEVEL=-Dcom.ibm.ws.logging.console.log.level=OFF
MSG_FILE=-Dcom.ibm.ws.logging.message.file.name=xscmd.log
MAX_FILES=-Dcom.ibm.ws.logging.max.files=1
TRACE_SPEC=-Dcom.ibm.ws.logging.trace.specification=*=info
TRACE_FILE=

next_arg_is_trace_spec=0
next_arg_is_trace_file=0

# Process argument list based on the platform.
for arg in $XSCMD_LINE_ARGS
do
  if [ $platform = "OS/390" ]
  then
    if [ "$arg" = "-trs" ]
      then
        next_arg_is_trace_spec=1
    elif [ "$arg" = "-trf" ]
      then
        next_arg_is_trace_file=1
    elif [ "$next_arg_is_trace_spec" = "1" ]
      then
        TRACE_SPEC=-Dcom.ibm.ws.logging.trace.specification=$arg
        next_arg_is_trace_spec=0
    elif [ $next_arg_is_trace_file ]
      then
        TRACE_FILE=-Dcom.ibm.ws.logging.trace.file.name=$arg
        next_arg_is_trace_file=0
    fi
  else
    if [ "$arg" = "-trs" ]
      then
        next_arg_is_trace_spec=1
    elif [ "$arg" = "-trf" ]
      then
        next_arg_is_trace_file=1
    elif [ "$next_arg_is_trace_spec" = "1" ]
      then
        TRACE_SPEC=-Dcom.ibm.ws.logging.trace.specification=$arg
        next_arg_is_trace_spec=0
    elif [ $next_arg_is_trace_file ]
      then
        TRACE_FILE=-Dcom.ibm.ws.logging.trace.file.name=$arg
        next_arg_is_trace_file=0
    fi
  fi
done

export JVM_ARGS="$LOG_DIR $MSG_FILE $MAX_FILES $CONSOLE_LEVEL $TRACE_SPEC $TRACE_FILE"

$bindir/server run xscmd

